Subject: Re: [GSoC][PATCH] commit: add a commit.signOff config variable

From: Chen Jingpiao <[email-masked]>
Date: Tue, 6 Feb 2018 15:01:51 +0800

On 02/05 01:50, Stefan Beller wrote:
> On Sat, Feb 3, 2018 at 6:03 PM, Chen Jingpiao <[email-masked]> wrote:
> > Add the commit.signOff configuration variable to use the -s or --signoff
> > option of git commit by default.
> >
> > Signed-off-by: Chen Jingpiao <[email-masked]>
> > ---
> 
> Welcome to the Git community!
> 
> >
> > Though we can configure signoff using format.signOff variable. Someone like to
> > add Signed-off-by line by the committer.
> 
> There is more discussion about this at
> https://public-inbox.org/git/[email-masked]/
> specifically
> https://public-inbox.org/git/[email-masked]/
> 
> Not sure if there was any other reasons and discussions brought up
> since then, but that discussion seems to not favor patches that
> add .signoff options.

Thank you.

I agree with Johannes Schindelin once said "a signoff _has_ to be a conscious
act, or else  it will lose its meaning."
I think I shouldn't add this configuration variable.

When add configuration variable for sign-off to format-patch have some discussion:
	https://public-inbox.org/git/[email-masked]/
	https://public-inbox.org/git/[email-masked]/
	https://public-inbox.org/git/[email-masked]/

--
Chen Jingpiao